#!/usr/bin/env bash

# Run this under MSys64 on Windows with MSVC2019 or MSVC2022 setup
# (see attached setup_vcvars.bat)

#
# Clean up the directory to start fresh
#
#rm -rf build

#
# Create our build and install directories
#
mkdir -p build/install

#
# Go to build directory
#
cd build

#
# Run cmake's SuperBuild
#
cmake .. -G Ninja -D CMAKE_PREFIX_PATH=$PWD/install -D CMAKE_INSTALL_PREFIX=$PWD/install -D BUILD_SHARED_LIBS=OFF -D CMAKE_BUILD_TYPE=Release

#
# Build it and save a compile.log file for easy debugging.
#
ninja 2>&1 | tee compile.log
